[R-sig-phylo] phyml executable version 3.0.1 and higher whichve been tested with phymltest

Emmanuel Paradis Emmanuel.Paradis at mpl.ird.fr
Mon Feb 1 15:12:47 CET 2010


Hi Anna,

Anna Kostikova wrote on 29/01/2010 12:57:
> Dear list members,
> 
> I've been trying to connect R-ape library and phyml executable with
> "phymltest" function, but presumably due to the fact that I am usuing
> older version of phyml than 3.0.1, I keep getting following error
> message (v.3.0):
> Error in file(con, "r") : unable to open connection.
> Could anyone who has a Phyml executable tested on compatibility with R
> send it to me?

I think you should check all options, names of files, and their paths. 
You can try (assuming you use a Mac):

phymltest(....., execname = "/path/to/phyml/phyml_3.0.1_macintel")

An alternative is to create a link to the PhyML executable file and 
place it in the working directory (where you should also place your 
sequence file).

HTH

Emmanuel

> I am very grateful for your help in advance,
> 
> Best regards,
> Anna Kostikova
> 
> Department of Ecology and Evolution
> University of Lausanne
> 1015 Lausanne
> Switzerland
> 
> _______________________________________________
> R-sig-phylo mailing list
> R-sig-phylo at r-project.org
> https://stat.ethz.ch/mailman/listinfo/r-sig-phylo
> 

-- 
Emmanuel Paradis
IRD, Montpellier, France
   ph: +33 (0)4 67 16 64 47
  fax: +33 (0)4 67 16 64 40
http://ape.mpl.ird.fr/



More information about the R-sig-phylo mailing list